import request from '@/utils/request'

// 查询作物产量列表
export function listYield(query) {
  return request({
    url: '/crops/yield/list',
    method: 'get',
    params: query
  })
}

// 查询作物产量详细
export function getYield(id) {
  return request({
    url: '/crops/yield/' + id,
    method: 'get'
  })
}

// 新增作物产量
export function addYield(data) {
  return request({
    url: '/crops/yield',
    method: 'post',
    data: data
  })
}

// 修改作物产量
export function updateYield(data) {
  return request({
    url: '/crops/yield',
    method: 'put',
    data: data
  })
}

// 删除作物产量
export function delYield(id) {
  return request({
    url: '/crops/yield/' + id,
    method: 'delete'
  })
}
